<?php
namespace app\ckeditor\event;

class Sql
{
    /**
    * 安装时触发
    * @return bool 只有返回true时才会往下执行
    */
	public function install()
    {
        $result = \daicuo\Op::write([
            'editor_name' => 'ckeditor',
        ],'common','system','editor','0','yes');
        
        $this->clearTemp();
        
        return true;
	}
    
    /**
    * 升级时触发
    * @return bool 只有返回true时才会往下执行
    */
    public function upgrade()
    {
        if( !\daicuo\Apply::updateStatus('ckeditor', 'enable') ){
            return false;
        }
        return true;
	}

    /**
    * 卸载插件时触发
    * @return bool 只有返回true时才会往下执行
    */
    public function remove()
    {
        return $this->unInstall();
    }
    
    /**
    * 删除时触发
    * @return bool 只有返回true时才会往下执行
    */
    public function unInstall()
    {
        \daicuo\Op::write([
            'editor_name' => 'textarea',
        ],'common','system','editor','0','yes');
        
        $this->clearTemp();
        
        return true;
	}
    
    //清除模板缓存
    private function clearTemp()
    {
        $file = new \files\File();
        $file->d_delete(TEMP_PATH);
    }
	
}